<ion-header>
  <ion-toolbar color='light'>
    <ion-buttons slot='start'>
      <ion-menu-button></ion-menu-button>
    </ion-buttons>

    <ion-title>
      <div class="texto-toolbar">Olá, EJCM!</div>
      <div class="logo-toolbar"><img src="../../assets/Liber Imagens/Liber_3_1-removebg-preview.png"></div>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-fab vertical='top' horizontal='end' slot="fixed">
    <ion-fab-button>
      <ion-icon class="fab-favorito" name='heart-circle-outline'></ion-icon>
    </ion-fab-button>
  </ion-fab>

  <ion-card>
    <ion-grid>
      <ion-row>
        <ion-col>
          <img class="livro-capa" src="{{livros[0].capa}}" alt="">
        </ion-col>

        <ion-col>
          <ion-grid>
            <ion-row>
              <ion-card-subtitle class="livro-autor">{{livros[0].autor}}</ion-card-subtitle>
            </ion-row>
            
            <ion-row>
              <ion-card-title class="livro-titulo">{{livros[0].titulo}}</ion-card-title>
            </ion-row>

            <ion-row>
              <ion-col>
                <ion-card-subtitle class="livro-estado">{{livros[0].estado}}</ion-card-subtitle>
              </ion-col>
              <ion-col>
                <ion-card-subtitle class="livro-preco">R$ {{livros[0].preco}}</ion-card-subtitle>
              </ion-col>
            </ion-row>

            <ion-row>
              <ion-card-subtitle class="livro-vendedor">Vendido por: {{livros[0].vendedor}}</ion-card-subtitle>
            </ion-row>

            <ion-row>
              <ion-input class="frete-input" placeholder='  Calcular frete'></ion-input>
            </ion-row>

            <ion-row>
              <ion-col>
                <ion-button class="botao-comprar" (click)='confirmarCompra()' shape='round' color='success'>Comprar</ion-button>
              </ion-col>
            </ion-row>
          </ion-grid>
        </ion-col>
      </ion-row>
    </ion-grid>

    <div class="descricao-titulo">
      <p>Descrição:</p>
    </div>
    <div class="separador1"></div><br>

    <div class="descricao-livro">
      <p>{{livros[0].descricao}}</p>
    </div>

    <div class="comentario-titulo">
      <p>Comentários:</p>
    </div>
    <div class="separador2"></div><br>

    <div>
      <p class="comentario-usuario">Igor Carvalho: <ion-icon class="star-nota" name='star'></ion-icon><ion-icon class="star-nota" name='star'></ion-icon><ion-icon class="star-nota" name='star'></ion-icon><ion-icon class="star-nota" name='star'></ion-icon><ion-icon class="star-nota" name='star'></ion-icon></p>
    </div>

    <div class="comentario-livro">
      <p>{{livros[0].comentario}}</p>
    </div>

    <div class="fazer-comentario-titulo">
      <p>Fazer comentário:</p>
    </div>
    <div class="separador3"></div><br>

    <div class="comentario-perfil">
      EJCM: <ion-icon class="star-nota2" name='star'></ion-icon>
            <ion-icon class="star-nota2" name='star'></ion-icon>
            <ion-icon class="star-nota2" name='star'></ion-icon>
            <ion-icon class="star-nota2" name='star'></ion-icon>
            <ion-icon class="star-nota2" name='star'></ion-icon>
    </div>
    
    <div class="comentario-input">
      <ion-input></ion-input>
    </div>
    <div class="comentario-botao-enviar">
      <ion-button class="comentario-botao-enviar" (click)='comentarioEnviadoAviso()' color='dark'>Enviar comentário</ion-button>
    </div>

  </ion-card>
</ion-content>
